using System;

namespace _2
{
    class Program
    {
        static void Main(string[] args)
        {
            string a, b, c = "";
            a = Console.ReadLine();
            b = Console.ReadLine();
            if (a.Length < b.Length)
            {
                string s="";
                int n = b.Length - a.Length;
                while (n != 0)
                {
                    s += ' ';
                    n--;
                }
                s += a;
                a = s;
            }
            else if (a.Length > b.Length)
            {
                string s = "";
                int n = a.Length - b.Length;
                while (n != 0)
                {
                    s += ' ';
                    n--;
                }
                s += b;
                b = s;
            }
            for (int i = 0; i < b.Length; i++)
            {
                if (a[i] == b[i])
                {
                    c += a[i];
                    c += a[i];
                }
                else if (a[i] > b[i]) c += a[i];
                else c += b[i];
            }
            Console.WriteLine(c);
            Console.ReadKey();
        }
    }
}